{% extends "layout.html" %}
{% load myfilters %}

{% block body %}
	<div class="row">
		<div class="col-md-3">
		</div>
		<div class="col-md-6">
			{% if messages %}
				{% for message in messages %}
					<div class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}" role="alert">{{ message }}</div>
				{% endfor %}
			{% endif %}
			<h2 class="text-center mb-4 mt-1">Informasi Lowongan</h2>
			
			<form action="{% url 'delete_job' data.id %}" method="post">
				{% csrf_token %}
				{% if data.user == user %}
				<div class="text-right mb-2 mt-2">
					<button class="btn btn-danger">Hapus Lowongan</button>
				</div>
				{% endif %}
			</form>
			
			<div class="row bg-light text-dark mb-2">
				<div class="col-md-6">
					<b>Posisi</b>: {{data.posisi}}
				</div>
				<div class="col-md-6">
					<b>Jumlah Pelamar:</b>
				</div>
				<div class="col-md-12">
					<b>Deskripsi:</b> {{data.deskripsi}}
				</div>
				<div class="col-md-12">
					<b>Requirements</b>
					<ul>
						{% for i in data.requirements %}		 
							<li>{{ i }}</li>		 
						{% endfor %}
					</ul>
				</div>
			</div>
			{% if user.user_role.roles == "p" %}
				{% if data.job_lamaran.first.user == user %}
				<div class="text-center mb-2 mt-2">
					<button class="btn btn-info" disabled>Lowongan Ini Sudah Dilamar</button>
				</div>
				{% else %}
				<div class="text-center mb-2 mt-2">
					<a class="btn btn-primary" href="{% url 'job_apply' data.id %}">Lamar Pekerjaan Ini</a>
				</div>
				{% endif %}
			{% elif data.user == user %}
				<div class="text-center mb-2 mt-2">
					<a class="btn btn-primary" href="{% url 'edit_job' data.id %}">Edit Lowongan Ini</a>
				</div>
			{% endif %}
		</div>
		<div class="col-md-3">
		</div>
	</div>
{% endblock %}